Supported Browsers

Textbox.io is based on HTML5 JavaScript and CSS3 standards and will operate on most web browsers that support these standards.

If your application needs to support older browsers, use the textboxio.isSupported() API to verify whether the editor is available at runtime.

Supported Browsers by Platform

The following platforms are fully supported for Textbox.io.

PlatformBrowsers
Windows

Internet Explorer 11
Internet Explorer 10
Chrome* 
Firefox*
Firefox ESR*

OS XSafari 7+
Chrome*

Firefox*

Firefox ESR*
LinuxChrome*
Firefox*

Firefox ESR*
iOS9Safari
iOS 8Safari

* Current stable channel version.


To use Textbox.io on Internet Explorer 10 or 11 on a site in the local and intranet Internet Explorer security zones, your page must place the browser into edge mode using the X-UA-Compatible header (see the code fragment below). Otherwise, in these zones Internet Explorer defaults to using compatibility mode (i.e. it reverts to using the Internet Explorer 9 rendering and JavaScript engines). If your application/site is in Internet Explorer's Internet zone then it is not necessary to adjust Internet Explorer's settings.

<meta http-equiv="X-UA-Compatible" content="IE=edge" />

Textbox.io DOES NOT support IE compatibility mode

More information (external link)

Importing images from Microsoft Word content requires the use of the Adobe Flash plugin on the following browsers:

  • Internet Explorer 10
  • Firefox
  • Chrome
  • Safari

If the Adobe Flash plugin is not available or is blocked in the client browser then textual content will be imported but no image content will be imported.

Copy and paste on Internet Explorer 11 does not require any additional plugins.

Copy and paste from Microsoft Office is not supported on mobile device platforms.

Textbox.io does not currently support the use of the editor within the web view of an iOS or Android application.

Tiny is currently working with selected app developers to bring this functionality to Textbox.io in future. If you're interested in working with Textbox.io inside an iOS or Android application (other than the browser) then please get in touch with Tiny via support.tiny.cloud.

Web Services

Server-side Components require a Java Web Application Server that supports Servlet Implementation API 3.0.

Java Development Kit

JDK 7 update 55+

Java (J2EE) Application Servers

Tomcat 7+
Jetty 8+

Operating Systems

Windows Server 2008 SP2
Red Hat Enterprise Linux v6
Red Hat Enterprise Linux v5

Minimum Hardware Requirements

CPU:  Dual Core Processor ~ 2Ghz. For higher loads, a quad core or higher is recommended.
RAM: 4 Gigabytes of RAM available for services

Tiny is committed to broadening support for various application servers / platforms. If you have a requirement to support an application server that is not listed here, please contact support@tiny.cloud.